## navit 0.5.5+dfsg.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.navitproject.navit")
set(MACOSX_BUNDLE_BUNDLE_NAME "Navit")
message(STATUS "Building with CMake V${CMAKE_VERSION}")
project(navit C)

# Workaround for CMake issue 8345 / 9220, see http://trac.navit-project.org/ticket/1041
if(DEFINED CMAKE_CXX_COMPILER AND CMAKE_CXX_COMPILER MATCHES "^$")
	set(CMAKE_CXX_COMPILER CMAKE_CXX_COMPILER-NOTFOUND)
endif(DEFINED CMAKE_CXX_COMPILER AND CMAKE_CXX_COMPILER MATCHES "^$")
if (NOT DISABLE_CXX)
	enable_language(CXX OPTIONAL)
endif(NOT DISABLE_CXX)

set(NAVIT_VERSION_MAJOR "0")
set(NAVIT_VERSION_MINOR "5")
set(NAVIT_VERSION_PATCH "5")
if(ANDROID)
    set(PACKAGE_VERSION "${NAVIT_VERSION_MAJOR}.${NAVIT_VERSION_MINOR}.${NAVIT_VERSION_PATCH}.${ANDROID_ABI}")
else(ANDROID)
	set(PACKAGE_VERSION "${NAVIT_VERSION_MAJOR}.${NAVIT_VERSION_MINOR}.${NAVIT_VERSION_PATCH}")
endif(ANDROID)
set(PACKAGE_NAME "navit-git")
set(PACKAGE "navit" CACHE STRING "Navit package name")
set(PACKAGE_STRING "${PACKAGE} ${PACKAGE_VERSION}")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
include("${PROJECT_SOURCE_DIR}/cmake/navit_macros.cmake")

IF(NOT CMAKE_BUILD_TYPE)
	SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

# binary name
set(NAVIT_BINARY navit CACHE STRING "Navit binary name")
# install path
set(BIN_DIR bin CACHE PATH "Navit bin path")
add_definitions ("-DBIN_DIR=\"${BIN_DIR}\"")
set(SHARE_DIR share/navit CACHE PATH "Navit share path")
add_definitions ("-DSHARE_DIR=\"${SHARE_DIR}\"")
set(LOCALE_DIR share/locale CACHE PATH "Navit locale path")
add_definitions ("-DLOCALE_DIR=\"${LOCALE_DIR}\"")
set(IMAGE_DIR share/navit/icons CACHE PATH "Navit image path")
add_definitions ("-DIMAGE_DIR=\"${IMAGE_DIR}\"")
set(TEXTURE_DIR share/navit/textures CACHE PATH "Navit texture path")
add_definitions ("-DTEXTURE_DIR=\"${TEXTURE_DIR}\"")
set(MAN_DIR share/man/man1 CACHE PATH "Navit man path")
add_definitions ("-DMAN_DIR=\"${MAN_DIR}\"")
# LIB_DIR
IF(UNIX AND NOT ANDROID AND NOT APPLE)
	IF (NOT LIBDIR)
		MESSAGE(STATUS "LIBDIR variable is not defined. It will be autodetected now.")
		MESSAGE(STATUS "You can set it manually with -DLIBDIR=<value>")
		# check 64 bit
		IF (CMAKE_SIZEOF_VOID_P EQUAL 4)
			SET(LIB_DIR lib/${PACKAGE} CACHE PATH "Navit 32bit bin path")
			MESSAGE(STATUS "   LIB_DIR (highest subdirectory if LIBDIR) is set to '${LIB_DIR}'")
		ELSE (CMAKE_SIZEOF_VOID_P EQUAL 4)
			SET(LIB_DIR lib64/${PACKAGE} CACHE PATH "Navit 64bit bin path")
			MESSAGE(STATUS "   LIB_DIR (highest subdirectory if LIBDIR) is set to '${LIB_DIR}'")
		ENDIF (CMAKE_SIZEOF_VOID_P EQUAL 4)
	ELSE (NOT LIBDIR)
		SET (LIB_DIR ${LIBDIR}/${PACKAGE} CACHE PATH "Navit lib path")
		MESSAGE(STATUS "   LIB_DIR is set to '${LIB_DIR}' because LIBDIR is set to ${LIBDIR}")
	ENDIF (NOT LIBDIR)
ELSE (UNIX AND NOT ANDROID AND NOT APPLE)
	SET(LIB_DIR lib/navit CACHE PATH "Navit unix bin path")
ENDIF (UNIX AND NOT ANDROID AND NOT APPLE)
foreach(EXTRA_MODULE ${EXTRA_MODULES})
	add_module(${EXTRA_MODULE} "extra module specified" TRUE)
endforeach()
add_definitions ("-DLIB_DIR=\"${LIB_DIR}\"")

if (EXTRA_LIBS)
	list(APPEND NAVIT_LIBS ${EXTRA_LIBS})
endif(EXTRA_LIBS)

if (EXTRA_INCLUDES)
	include_directories(${EXTRA_INCLUDES})
endif(EXTRA_INCLUDES)

if (EXTRA_LIBDIR)
	link_directories(${EXTRA_LIBDIR})
endif(EXTRA_LIBDIR)

### Detect environment

add_plugin(support/espeak "Default" FALSE)
add_feature(INTERNAL_ESPEAK_COMPLETE "build complete internal libespeak" FALSE)
add_plugin(support/ezxml "native Glib found" FALSE)
add_plugin(support/glib "native Glib found" FALSE)
add_plugin(support/zlib "native zlib found" FALSE)
add_plugin(support/libpng "native libpng found" FALSE)
add_plugin(support/wordexp "native wordexp found" FALSE)
add_plugin(support/gettext_intl "native libintl found" FALSE)
add_module(font/freetype "freetype not found" FALSE)
add_module(graphics/android "FreeType library not found" FALSE)
add_module(graphics/gd "FreeType library not found" FALSE)
add_module(graphics/gtk_drawing_area "FreeType library not found" FALSE)
add_module(graphics/opengl "FreeType library not found" FALSE)
add_module(graphics/sdl "Required library not found" FALSE)
add_module(graphics/egl "Required library not found" FALSE)
add_module(graphics/qt_qpainter "Qt libraries not found" FALSE)
add_module(graphics/qt5 "Qt5 libraries not found" FALSE)
add_module(gui/qml "Qt Declarative not found" FALSE)
add_module(gui/qt5_qml "Qt5 Declarative not found" FALSE)
add_module(gui/gtk "GTK libs not found" FALSE)
add_module(vehicle/gpsd "gpsd lib not found" FALSE)
add_module(vehicle/gypsy "gypsy lib not found" FALSE)
add_module(vehicle/maemo "Default" FALSE)
add_module(binding/win32 "Default" FALSE)
add_module(binding/dbus "dbus-glib-1 not found" FALSE)
add_module(binding/python "python libraries not found" FALSE)
add_module(speech/dbus "dbus-glib-1 not found" FALSE)
add_module(speech/cmdline "neither system() nor CreateProcess() found" FALSE)
add_module(speech/qt5_espeak "Qt5 multimedia not found" FALSE)
add_module(vehicle/gpsd_dbus "dbus-glib-1 not found" FALSE)
add_module(vehicle/qt5 "Qt5 libraries not found" FALSE)
add_module(speech/speech_dispatcher "speech_dispatcher lib not found" FALSE)
add_module(autoload/osso "Default" FALSE)
add_module(map/garmin "Garmin library not found" FALSE)
add_feature(USE_NATIVE_LANGUAGE_SUPPORT "Gettext not found and not on Windows" FALSE)
set(CPACK_PROJECT_CONFIG_FILE "${CMAKE_SOURCE_DIR}/cpack.cmake")
set(CPACK_PACKAGE_VENDOR "Navit team")
set(CPACK_PACKAGE_VERSION_MAJOR ${NAVIT_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${NAVIT_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH "${NAVIT_VERSION_PATCH}")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README.md")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/GPL-2")
set(CPACK_NSIS_PACKAGE_NAME "Navit ${PACKAGE_VERSION}")
set(CPACK_PACKAGE_FILE_NAME ${PACKAGE})
set(CPACK_PACKAGE_EXECUTABLES "navit;Navit")
set(CPACK_NSIS_HELP_LINK "http://www.navit-project.org/?page=contact")
set(CPACK_NSIS_URL_INFO_ABOUT "http://www.navit-project.org")
if(WIN32)
	add_feature(USE_NSIS "makensis not found" FALSE)
	FIND_PROGRAM(NSIS_EXECUTABLE NAMES makensis makensis.exe)
	if(NSIS_EXECUTABLE)
		set_with_reason(USE_NSIS "makensis found" TRUE)
	endif(NSIS_EXECUTABLE)

	set(CPACK_GENERATOR ZIP)
	if(USE_NSIS)
		list(APPEND CPACK_GENERATOR NSIS)
	endif(USE_NSIS)
	set(CPACK_PACKAGE_INSTALL_DIRECTORY Navit)
endif(WIN32)
INCLUDE (CPack)

INCLUDE (CheckIncludeFiles)
INCLUDE (CheckLibraryExists)
INCLUDE (CheckFunctionExists)
INCLUDE (CheckSymbolExists)

################################
#  pkg-config based detection  #
################################

find_package(PkgConfig)
if(PKG_CONFIG_FOUND)
	pkg_check_modules ( GMODULE gmodule-2.0 )
	if (GMODULE_FOUND)
		set(HAVE_GMODULE 1)
		include_directories(${GMODULE_INCLUDE_DIRS})
		list(APPEND NAVIT_LIBS ${GMODULE_LIBRARIES})
	endif(GMODULE_FOUND)

	pkg_check_modules (GLIB2 glib-2.0>=2.10)
	if (GLIB2_FOUND)
		set(HAVE_GLIB 1)
		include_directories(${GLIB2_INCLUDE_DIRS})
		list(APPEND NAVIT_LIBS ${GLIB2_LIBRARIES})
	else(GLIB2_FOUND)
		set_with_reason(support/glib "Glib not found" TRUE ${INTL_LIBS})
	endif(GLIB2_FOUND)

	pkg_check_modules(FONTCONFIG "fontconfig >= 2.2.0")
	pkg_check_modules(DBUS "dbus-1 >= 1.4")
	pkg_check_modules(DBUSGLIB dbus-glib-1)
	if(DBUSGLIB_FOUND)
		include_directories(${DBUSGLIB_INCLUDE_DIRS})
		set_with_reason(binding/dbus "dbus-glib-1 found" TRUE ${DBUSGLIB_LIBRARIES})
		set_with_reason(speech/dbus "dbus-glib-1 found" TRUE ${DBUSGLIB_LIBRARIES})
		set_with_reason(vehicle/gpsd_dbus "dbus-glib-1 found" TRUE ${DBUSGLIB_LIBRARIES})
	endif()

	pkg_check_modules(LIBLOCATION liblocation)
	pkg_check_modules(LIBOSSO libosso)
	# Accept even old versions of libgps, because N810 uses an old version (see #1179).
	pkg_check_modules(LIBGPS libgps)
	pkg_check_modules(LIBGPS19 libgps>=2.90)
	# libgpsd<V3.1 is buggy if LC_ALL is set.
	pkg_check_modules(LIBGPS_NEW libgps>=3.1)
	pkg_check_modules(LIBGARMIN libgarmin)
	pkg_check_modules(IMLIB2 imlib2)
	if(IMLIB2_FOUND)
		set(HAVE_IMLIB2 1)
	endif(IMLIB2_FOUND)
else(PKG_CONFIG_FOUND)
    set_with_reason(support/glib "Glib not found" TRUE ${INTL_LIBS})
endif(PKG_CONFIG_FOUND)

#find_package(Iconv)
#find_package(Gmodule)
find_package(ZLIB)
find_package(Freetype)
#find_library(SDL2MAIN SDL2)
#find_library(SDL2IMAGE SDL2_image)
find_package(SDL)
#find_package(SDL_ttf)
find_package(SDL_image)

find_library(GLES2 GLESv2)
find_package(OpenGL)
find_package(GLUT)
find_package(GTK2 2.6 COMPONENTS gtk)
find_package(Gettext)
find_package(PNG)
find_package(PythonLibs)
find_package(Threads)

#Qt detection
if (NOT DISABLE_QT)
	find_package(Qt5Widgets)
	find_package(Qt5Quick)
	find_package(Qt5Positioning)
	if (Qt5Widgets_FOUND OR Qt5Quick_FOUND OR Qt5Sensors_FOUND)
		add_feature (USE_QWIDGET "Qt5 Qt5Widget not found" FALSE)
		add_feature (USE_QML "Qt5 Qt5Quick not found" FALSE)
		if (Qt5Widgets_FOUND OR Qt5Quick_FOUND)
			find_package(Qt5Svg REQUIRED)
			find_package(Qt5DBus REQUIRED)
			find_package(Qt5Multimedia)
			find_package(espeak)
		endif (Qt5Widgets_FOUND OR Qt5Quick_FOUND)
		if (Qt5Positioning_FOUND)
			find_package(Qt5Sensors REQUIRED)
		endif (Qt5Positioning_FOUND)
	else (Qt5Widgets_FOUND OR Qt5Quick_FOUND OR Qt5Sensors_FOUND)
		# Unfortunately, CMake seems to ignore the "OPTIONAL_COMPONENTS" flag,
		# and actually requires all components to be installed. Maybe this can
		# be fixed later...
		find_package(Qt4 4.7 COMPONENTS QtCore OPTIONAL_COMPONENTS QtGui QtXml QtDeclarative QtSvg)
	endif (Qt5Widgets_FOUND OR Qt5Quick_FOUND OR Qt5Sensors_FOUND)
endif (NOT DISABLE_QT)

#Simple checks
CHECK_INCLUDE_FILES(wordexp.h HAVE_WORDEXP)
CHECK_INCLUDE_FILES(endian.h HAVE_ENDIAN_H)
CHECK_INCLUDE_FILES(stdint.h HAVE_STDINT_H)
CHECK_INCLUDE_FILES(byteswap.h HAVE_BYTESWAP_H)
CHECK_LIBRARY_EXISTS(gypsy gypsy_control_get_default "" GYPSY_FOUND)
CHECK_INCLUDE_FILES(libspeechd.h HAVE_LIBSPEECHD)
CHECK_INCLUDE_FILES(sys/socket.h HAVE_SOCKET)
CHECK_INCLUDE_FILES(sys/shm.h HAVE_SHMEM)
CHECK_FUNCTION_EXISTS(snprintf   HAVE_SNPRINTF)
if (NOT HAVE_SNPRINTF)
	CHECK_FUNCTION_EXISTS(_snprintf  HAVE_DECL__SNPRINTF)
	if (HAVE_DECL__SNPRINTF)
		set(HAVE_SNPRINTF 1)
	endif(HAVE_DECL__SNPRINTF)
endif(NOT HAVE_SNPRINTF)
CHECK_INCLUDE_FILES(locale.h HAVE_LC_MESSAGES)
CHECK_INCLUDE_FILES(libintl.h HAVE_LIBINTL)
CHECK_INCLUDE_FILES(sys/time.h HAVE_SYS_TIME_H)
CHECK_INCLUDE_FILES(getopt.h HAVE_GETOPT_H)
CHECK_INCLUDE_FILES(string.h HAVE_STRING_H)
CHECK_FUNCTION_EXISTS(gettimeofday HAVE_GETTIMEOFDAY)
CHECK_SYMBOL_EXISTS(system stdlib.h HAVE_SYSTEM)
CHECK_SYMBOL_EXISTS(CreateProcess windows.h HAVE_CREATEPROCESS)
CHECK_SYMBOL_EXISTS(stpcpy string.h HAVE_STPCPY)
CHECK_FUNCTION_EXISTS(sbrk HAVE_SBRK)
CHECK_FUNCTION_EXISTS(getdelim HAVE_GETDELIM)
CHECK_FUNCTION_EXISTS(getline HAVE_GETLINE)
CHECK_FUNCTION_EXISTS(fsync HAVE_FSYNC)


### Configure build
#Required libraries, supplied with navit
if (NOT HAVE_LIBINTL)
	set_with_reason(support/gettext_intl "native libintl missing" TRUE)
	set(USE_LIBGNUINTL TRUE)
else()
	CHECK_LIBRARY_EXISTS(intl libintl_fprintf "" NEEDS_LIBINTL)
	if (NEEDS_LIBINTL)
		list(APPEND NAVIT_LIBS intl)
		set(INTL_LIBS intl)
	endif(NEEDS_LIBINTL)
endif(NOT HAVE_LIBINTL)

if (CMAKE_USE_PTHREADS_INIT)
	if (NOT ANDROID)
		list(APPEND NAVIT_LIBS pthread)
	endif(NOT ANDROID)
endif(CMAKE_USE_PTHREADS_INIT)

if(ZLIB_FOUND)
	set(HAVE_ZLIB 1)
	include_directories(${ZLIB_INCLUDE_DIRS})
	list(APPEND NAVIT_LIBS ${ZLIB_LIBRARIES})
else(ZLIB_FOUND)
	message(STATUS "using internal zlib")
	set_with_reason(support/zlib "native zlib missing" TRUE)
endif(ZLIB_FOUND)
if(PNG_FOUND)
	set(HAVE_PNG 1)
	include_directories(${PNG_INCLUDE_DIR})
	list(APPEND NAVIT_LIBS ${PNG_LIBRARIES})
else(PNG_FOUND)
	message(STATUS "using internal libpng")

=== navit/textures/CMakeLists.txt ===
macro(convert_to_png TEXTURE_INPUT TEXTURE_OUTPUT SCALE)
	get_filename_component(FILE_EXT ${TEXTURE_INPUT} EXT)
	string(TOUPPER ${FILE_EXT} FILE_TYPE)
	string(REGEX REPLACE "^\\." "" FILE_TYPE ${FILE_TYPE})
	if(${IMAGE_CONVERTER_${FILE_TYPE}} MATCHES "rsvg-convert")
		if (${SCALE} GREATER 0)
			set(SCALE_ARGS --width=${SCALE} --height=${SCALE})
		else()
			set(SCALE_ARGS)
		endif()
		set(COMMAND_ARGS ${SCALE_ARGS} --output ${TEXTURE_OUTPUT} ${TEXTURE_INPUT})
	elseif(${IMAGE_CONVERTER_${FILE_TYPE}} MATCHES "convert")
		if (${SCALE} GREATER 0)
			set(SCALE_ARGS -resize ${SCALE}x${SCALE})
		else()
			set(SCALE_ARGS)
		endif()
		set(COMMAND_ARGS -background none ${TEXTURE_INPUT} ${SCALE_ARGS} ${TEXTURE_OUTPUT})
	elseif(${IMAGE_CONVERTER_${FILE_TYPE}} MATCHES "ksvgtopng")
		set (NEW_SCALE ${SCALE})
		if (${SCALE} EQUAL 0)
			file(STRINGS  ${TEXTURE_INPUT} NEW_SCALE_LINE REGEX "[^-]width=\"[0-9pxt.]*\"")
			string(REGEX MATCH "width=\"([0-9]*)[pxt]*\"" NEW_SCALE_LINE ${NEW_SCALE_LINE})
			set(NEW_SCALE ${CMAKE_MATCH_1})
		endif()
		set(COMMAND_ARGS ${NEW_SCALE} ${NEW_SCALE}  ${TEXTURE_INPUT} ${TEXTURE_OUTPUT})
	elseif(${IMAGE_CONVERTER_${FILE_TYPE}} MATCHES "inkscape")
		if (${SCALE} GREATER 0)
			set(SCALE_ARGS --export-width=${SCALE} --export-height=${SCALE})
		else()
			set(SCALE_ARGS)
		endif()
		set(COMMAND_ARGS --without-gui --export-background-opacity=0 --export-png ${TEXTURE_OUTPUT} ${SCALE_ARGS} ${TEXTURE_INPUT})
	else()
		message(FATAL_ERROR "no svg2png converter defined here.")
	endif()

	add_custom_command (
		OUTPUT ${TEXTURE_OUTPUT}
		DEPENDS ${TEXTURE_INPUT}
		COMMAND ${IMAGE_CONVERTER_${FILE_TYPE}} ${COMMAND_ARGS}
		)
endmacro()

macro(add_scale_targets TEXTURE_SRC TEXTURE_NAME)
	string(REPLACE "," ";" SCALES "${ARGN}")
	set(add_scale_targets_is_first_scale 1)
	foreach (CURRENT_SCALE ${SCALES})
		if(add_scale_targets_is_first_scale EQUAL 1)
			set (TEXTURE_DST ${CMAKE_CURRENT_BINARY_DIR}/${TEXTURE_NAME}.png)
			set(add_scale_targets_is_first_scale 0)
		elseif (${CURRENT_SCALE} EQUAL 0)
			set (TEXTURE_DST ${CMAKE_CURRENT_BINARY_DIR}/${TEXTURE_NAME}.png)
			message_error( "Image size value of 0 to leave texture unscaled can only be given as the first value in row, e.g. -D svg2png_scaling=0,16,32 " )
		else()
			set (TEXTURE_DST ${CMAKE_CURRENT_BINARY_DIR}/${TEXTURE_NAME}_${CURRENT_SCALE}_${CURRENT_SCALE}.png)
		endif()

		if(NOT CURRENT_SCALE EQUAL -1)
			convert_to_png(
				${CMAKE_CURRENT_SOURCE_DIR}/${TEXTURE_SRC}
				${TEXTURE_DST}
				${CURRENT_SCALE}
				)
			list(APPEND TEXTURE_TARGETS ${TEXTURE_DST})
		endif()
	endforeach()
endmacro()

if (USE_SVG OR SVG2PNG)
	FILE(GLOB SVG_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.svg" "*.svgz")

	if(USE_SVG)
		list(APPEND TEXTURES_TO_COPY ${SVG_FILES})
	endif(USE_SVG)
	if(SVG2PNG)
		list(APPEND FILES_TO_PNG ${SVG_FILES})
	endif(SVG2PNG)
endif()

FILE(GLOB XPM_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.xpm")
if(XPM2PNG)
	foreach (TEXTURE_SRC ${SVG_FILES})
		string(REGEX REPLACE ".[a-z]*\$" "" TEXTURE ${TEXTURE_SRC})
		list(APPEND SVG_FILES_BASENAMES ${TEXTURE})
	endforeach()
	foreach (TEXTURE_SRC ${XPM_FILES})
		string(REGEX REPLACE ".[a-z]*\$" "" TEXTURE ${TEXTURE_SRC})
		list(FIND SVG_FILES_BASENAMES ${TEXTURE} DUP_IMG)
		if ( ${DUP_IMG} LESS 0 )
			list(APPEND FILES_TO_PNG ${TEXTURE_SRC})
		else()
			message(STATUS "texture '${TEXTURE}': XPM version skipped in favor of SVG")
		endif()
	endforeach()
else()
	list(APPEND TEXTURES_TO_COPY ${XPM_FILES})
endif(XPM2PNG)

foreach (TEXTURE_SRC ${FILES_TO_PNG})
	string(REGEX REPLACE ".[a-z]*\$" "" TEXTURE ${TEXTURE_SRC})

	if ( TEXTURE_SRC MATCHES ".*svgz*" )
		if( DEFINED svg2png_scaling_textures)
			add_scale_targets(${TEXTURE_SRC} ${TEXTURE} ${svg2png_scaling_textures})
		endif()
	else()
		add_scale_targets(${TEXTURE_SRC} ${TEXTURE} 0)
	endif()

endforeach()

foreach (TEXTURE_FILE ${TEXTURES_TO_COPY})
	add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${TEXTURE_FILE}"
		DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/${TEXTURE_FILE}"
		COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_CURRENT_SOURCE_DIR}/${TEXTURE_FILE}"
		"${CMAKE_CURRENT_BINARY_DIR}/${TEXTURE_FILE}"
		)
	list(APPEND TEXTURE_TARGETS "${CMAKE_CURRENT_BINARY_DIR}/${TEXTURE_FILE}")
endforeach()

add_custom_target(textures ALL DEPENDS ${TEXTURE_TARGETS})
add_custom_target(textures_resource COMMAND mkdir -p ../resources/share/navit/textures COMMAND cp ${TEXTURE_TARGETS} ../resources/share/navit/textures)
add_dependencies(textures_resource textures)

install(
	FILES ${TEXTURE_TARGETS}
	DESTINATION ${TEXTURE_DIR}
	PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
	)

=== navit/autoload/osso/CMakeLists.txt ===
module_add_library(autoload_osso osso.c)

=== navit/graphics/cocoa/CMakeLists.txt ===
if (USE_UIKIT)
	set(graphics_cocoa_LIBS "-framework Foundation" "-framework UIKit" "-framework CoreGraphics" "-liconv")
else()
	set(graphics_cocoa_LIBS "-framework Cocoa" "-liconv")
endif()
module_add_library(graphics_cocoa graphics_cocoa.m)

=== navit/graphics/egl/CMakeLists.txt ===
module_add_library(graphics_egl graphics_egl.c)

=== navit/graphics/qt5/CMakeLists.txt ===
# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)
# Instruct CMake to build QRC if needed
#set(CMAKE_AUTORCC ON) -> unfortunate cmake used in CI doesnt have this

# collect additional source files in this variable
set (GRAPHICS_QT5_ADDITIONAL "")

# initialize QML and QWIDGET usage to not use
set(QML 0)
set(QWIDGET 0)
set(HAVE_FREETYPE 0)

# check if we have FREETYPE
if(font/freetype)
	set(HAVE_FREETYPE 1)
endif()

# check if we have QML
if(USE_QML)
	set(QML 1)
	qt5_add_resources(QT5_QRC "graphics_qt5.qrc")
	set(GRAPHICS_QT5_ADDITIONAL ${GRAPHICS_QT5_ADDITIONAL} "QNavitQuick.cpp" ${QT5_QRC})
endif ()

#check if we have QWIDGET
if(USE_QWIDGET)
	set(QWIDGET 1)
	set(GRAPHICS_QT5_ADDITIONAL ${GRAPHICS_QT5_ADDITIONAL} "QNavitWidget.cpp")
endif ()

module_add_library(graphics_qt5 graphics_qt5.cpp event_qt5.cpp ${GRAPHICS_QT5_ADDITIONAL})
# pass QML and QWIDGET preference to source
target_compile_definitions(graphics_qt5 PRIVATE USE_QML=${QML} USE_QWIDGET=${QWIDGET} HAVE_FREETYPE=${HAVE_FREETYPE})

=== navit/map/binfile/CMakeLists.txt ===
module_add_library(map_binfile binfile.c)

=== navit/map/garmin/CMakeLists.txt ===
add_executable(gentypes gentypes.c)

include_directories( ${CMAKE_CURRENT_BINARY_DIR})

# add the command to generate the source code
add_custom_command (
	OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/g2nbuiltin.h
	COMMAND gentypes ${CMAKE_CURRENT_SOURCE_DIR}/garmintypes.txt ${CMAKE_CURRENT_BINARY_DIR}/g2nbuiltin.h
	DEPENDS gentypes
	)

module_add_library(map_garmin garmin.c gar2navit.c g2nbuiltin.h)

=== navit/map/mg/CMakeLists.txt ===
module_add_library(map_mg map.c block.c town.c tree.c poly.c street.c)

=== navit/plugin/j1850/CMakeLists.txt ===
module_add_library(plugin_j1850 j1850.c)

=== navit/speech/cmdline/CMakeLists.txt ===
module_add_library(speech_cmdline speech_cmdline.c)

=== navit/speech/speech_dispatcher/CMakeLists.txt ===
module_add_library(speech_speech_dispatcher speech_speech_dispatcher.c)

=== debian/changelog ===
navit (0.5.5+dfsg.1-2) unstable; urgency=medium

  * New patch to support gpsd api 10 (Closes: #979260; thanks to
    Bernd Zeimetz)

 -- Gilles Filippini <pini@debian.org>  Mon, 04 Jan 2021 20:53:51 +0100

navit (0.5.5+dfsg.1-1) unstable; urgency=medium

  * New upstream release
  * Drop patch too_few_args.patch fixed upstream
  * Update patch inkscape-1.0.patch for the new folder navit/textures
  * Fix format error in debian/copyright

 -- Gilles Filippini <pini@debian.org>  Fri, 21 Aug 2020 15:12:09 +0200

navit (0.5.4+dfsg.1-5) unstable; urgency=medium

  * New patch multiple-definition-of-map_information_attrs.patch
    (Closes: #966873)

 -- Gilles Filippini <pini@debian.org>  Wed, 19 Aug 2020 16:41:37 +0200

navit (0.5.4+dfsg.1-4) unstable; urgency=medium

  * New patch inkscape-1.0.patch to fix command line arguments for svg
    to png conversion using inkscape 1.0 (closes: #959609)

 -- Gilles Filippini <pini@debian.org>  Sun, 03 May 2020 19:47:50 +0200

navit (0.5.4+dfsg.1-3) unstable; urgency=medium

  * Use compiler flag '-DNDEBUG' to workaround an assertion failure in
    maptool (closes: #949780)

 -- Gilles Filippini <pini@debian.org>  Fri, 24 Apr 2020 19:03:23 +0200

=== debian/control ===
Source: navit
Section: misc
Priority: optional
Maintainer: Gilles Filippini <pini@debian.org>
Uploaders: Joseph Herlant <aerostitch@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               fonts-liberation,
               freeglut3-dev,
               imagemagick,
               inkscape,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libfribidi-dev,
               libgarmin-dev,
               libglc-dev (>= 0.7.1),
               libgps-dev (>= 3.1),
               libgtk2.0-dev,
               libimlib2-dev,
               libpq-dev,
               libprotobuf-c-dev,
               libsdl-image1.2-dev,
               libspeechd-dev,
               libxml2-dev,
               protobuf-c-compiler
Standards-Version: 4.5.0
Homepage: http://www.navit-project.org
Vcs-Browser: https://salsa.debian.org/debian/navit
Vcs-Git: https://salsa.debian.org/debian/navit.git
Rules-Requires-Root: no

Package: navit
Architecture: any
Depends: navit-data (= ${source:Version}),
         navit-gui-internal (= ${binary:Version}) | navit-gui-gtk (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gpsd
Suggests: maptool
Description: Car navigation system with routing engine
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 The Debian packaging for navit doesn't provide any map. To see, where you can
 get maps from, see <http://wiki.navit-project.org/index.php/Main_Page#Maps>.

Package: navit-gui-gtk
Architecture: any
Depends: navit-graphics-gtk-drawing-area (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: navit (= ${binary:Version})
Description: Car navigation system with routing engine - GTK+ GUI
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 This package contains the GTK+ GUI plugin.

Package: navit-gui-internal
Architecture: any
Depends: navit-graphics-gtk-drawing-area (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: navit (= ${binary:Version})
Description: Car navigation system with routing engine - internal GUI
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 This package contains the internal GUI plugin.

Package: navit-graphics-gtk-drawing-area
Architecture: any
Depends: librsvg2-common, ${misc:Depends}, ${shlibs:Depends}
Recommends: navit (= ${binary:Version})
Description: Car navigation system with routing engine - GTK+ graphic plugin
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 This package contains the graphic gtk-drawing-area plugin to use with GTK+
 aware GUIs plugins.

Package: navit-data
Architecture: all
Depends: ${misc:Depends}
Recommends: navit
Description: Car navigation system with routing engine - data files
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 The GTK+ or SDL user interfaces are designed to work well with touch screen
 displays. Points of Interest of various formats are displayed on the map.
 .
 The current vehicle position is either read from gpsd or directly from NMEA
 GPS sensors.
 .
 The routing engine not only calculates an optimal route to your destination,
 but also generates directions and even speaks to you using speech-dispatcher.
 .
 This package contains the architecture independent files - mainly translation
 files and images - for navit.

Package: maptool
Architecture: any
Provides: osm2navit
Replaces: osm2navit
Conflicts: osm2navit
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: navit
Description: Converts OpenStreetMap maps to Navit
 Navit is a car navigation system with routing engine.
 .
 Its modular design is capable of using vector maps of various formats for
 routing and rendering of the displayed map. It's even possible to use multiple
 maps at a time.
 .
 This package contains maptool, a tool to convert OpenStreetMap maps to the
 Navit format.
 .
 Note that maptool is only built on 64bit architectures.

## navit 0.5.6%2Bdfsg.1

=== navit/textures/CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,7 @@
 		else()
 			set(SCALE_ARGS)
 		endif()
-		set(COMMAND_ARGS --without-gui --export-background-opacity=0 --export-png ${TEXTURE_OUTPUT} ${SCALE_ARGS} ${TEXTURE_INPUT})
+		set(COMMAND_ARGS --export-type=png --export-background-opacity=0 ${SCALE_ARGS} --export-filename=${TEXTURE_OUTPUT} ${TEXTURE_INPUT})
 	else()
 		message(FATAL_ERROR "no svg2png converter defined here.")
 	endif()

=== navit/graphics/android/CMakeLists.txt ===
module_add_library(graphics_android graphics_android.c)

=== navit/graphics/svg_debug/CMakeLists.txt ===
module_add_library(graphics_svg_debug graphics_svg_debug.c)

=== navit/gui/gtk/CMakeLists.txt ===
module_add_library(gui_gtk datawindow.c destination.c gui_gtk_statusbar.c gui_gtk_action.c gui_gtk_window.c
                   gui_gtk_poi.c)

=== navit/map/csv/CMakeLists.txt ===
module_add_library(map_csv csv.c quadtree.c)

=== navit/traffic/dummy/CMakeLists.txt ===
module_add_library(traffic_dummy traffic_dummy.c)

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: misc
 Priority: optional
 Maintainer: Gilles Filippini <pini@debian.org>
-Uploaders: Joseph Herlant <aerostitch@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 12),
                fonts-liberation,
